UNAME(1)

NOMBRE
uname - imprime información del sistema

SINOPSIS
uname [-snrvma] [--sysname] [--nodename] [--release] [--machine] [--all] [--help] [--version]

DESCRIPCIÓN
Esta documentación no va a ser mantenida a partir de ahora y puede ser inexacta o incompleta. La documentación Texinfo es ahora la fuente autorizada.

Esta página de manual documenta la versión de GNU de uname. uname imprime información acerca de la máquina y el sistema operativo en los que está corriendo. Si no se da ninguna opción, uname actúa como si se hubiera dado la opción -s -a , la información seleccionada se imprime en el orden `snrvm' con un espacio entre los diferentes elementos.

  OPCIONES

-m, --machine
    Imprime el tipo de máquina (hardware).

-n, --nodename
    Imprime el hostname del nodo de red de la máquina.

-r, --release
    Imprime la versión del sistema operativo.

-s, --sysname
    Imprime el nombre del sistema operativo.

-v  Imprime la fecha de compilación del sistema operativo.

-a, --all
    Imprime toda la información anterior.

--help
    Imprime un mensaje de uso en la salida estándar y termina satisfactoriamente.

--version
    Imprime información sobre la versión por la salida estándar y termina satisfactoriamente.